> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new contact

> The _create a new contact_ endpoint is used to create a new contact in HubSpot. The new contact will be assigned a unique ID (vid), which can be used to look it up later. Use case for this endpoint: This endpoint can be used to perform a one-time sync of new contacts from an external system into HubSpot. Need to create or update multiple contacts? Try the Batch endpoint. Note: This endpoint is designed for offline contacts and does not support lead tracking. If your contacts come through online forms, use the form submission endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json POST /contacts/v1/contact
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/contact:
    post:
      summary: Create a new contact
      description: >-
        The _create a new contact_ endpoint is used to create a new contact in
        HubSpot. The new contact will be assigned a unique ID (vid), which can
        be used to look it up later. Use case for this endpoint: This endpoint
        can be used to perform a one-time sync of new contacts from an external
        system into HubSpot. Need to create or update multiple contacts? Try the
        Batch endpoint. Note: This endpoint is designed for offline contacts and
        does not support lead tracking. If your contacts come through online
        forms, use the form submission endpoint.
      operationId: postcontactsv1contact
      parameters:
        - name: vid
          in: path
          required: true
          description: The VID of the specific contact you want to update.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - properties
              properties:
                properties:
                  type: array
                  description: List of contact properties to update.
                  items:
                    type: object
                    properties:
                      property:
                        type: string
                      value:
                        type: string
      responses:
        '200':
          description: >-
            Successful response - This endpoint is used to update an existing
            contact in HubSpot
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: phone number - Example 1
                  value: >-
                    { "properties": [ { "property": "email", "value":
                    "testingapis@hubspot.com" }, { "property": "firstname",
                    "value": "Adrian" }, { "property": "lastname", "value":
                    "Mott" }, { "property": "website", "value": " }, {
                    "property": "company", "value": "HubSpot" }, { "property":
                    "phone", "value": "555-122-2323" }, { "property": "address",
                    "value": "25 First Street" }, { "property": "city", "value":
                    "Cambridge" }, { "property": "state", "value": "MA" }, {
                    "property": "zip", "value": "02139" } ] } Returns an HTTP
                    200 response on success, with the response body containing
                    the details of the new contact record: {
                    "identity-profiles": [ { "identities": [ { "timestamp":
                    1331075050646, "type": "EMAIL", "value":
                    "fumanchu@hubspot.com" }, { "timestamp": 1331075050681,
                    "type": "LEAD_GUID", "value":
                    "22a26060-c9d7-44b0-9f07-aa40488cfa3a" } ], "vid": 61574 }
                    ], "properties": { "website": { "value": "http:
                    //hubspot.com", "versions": [ { "timestamp": 1331075050646,
                    "selected": false, "source-label": null, "value": "http:
                    //hubspot.com", "source-type": "API", "source-id": null } ]
                    }, "city": { "value": "Cambridge", "versions": [ {
                    "timestamp": 1331075050646, "selected": false,
                    "source-label": null, "value": "Cambridge", "source-type":
                    "API", "source-id": null } ] }, "firstname": { "value":
                    "Adrian", "versions": [ { "timestamp": 1331075050646,
                    "selected": false, "source-label": null, "value": "Adrian",
                    "source-type": "API", "source-id": null } ] }, "zip": {
                    "value": "02139", "versions": [ { "timestamp":
                    1331075050646, "selected": false, "source-label": null,
                    "value": "02139", "source-type": "API", "source-id": null }
                    ] }, "lastname": { "value": "Mott", "versions": [ {
                    "timestamp": 1331075050646, "selected": false,
                    "source-label": null, "value": "Mott", "source-type": "API",
                    "source-id": null } ] }, "company": { "value": "HubSpot",
                    "versions": [ { "timestamp": 1331075050646, "selected":
                    false, "source-label": null, "value": "HubSpot",
                    "source-type": "API", "source-id": null } ] }, "phone": {
                    "value": "555-122-2323", "versions": [ { "timestamp":
                    1331075050646, "selected": false, "source-label": null,
                    "value": "555-122-2323", "source-type": "API", "source-id":
                    null } ] }, "state": { "value": "MA", "versions": [ {
                    "timestamp": 1331075050646, "selected": false,
                    "source-label": null, "value": "MA", "source-type": "API",
                    "source-id": null } ] }, "address": { "value":
                    "25FirstStreet", "versions": [ { "timestamp": 1331075050646,
                    "selected": false, "source-label": null, "value":
                    "25FirstStreet", "source-type": "API", "source-id": null } ]
                    }, "email": { "value": "fumanchu@hubspot.com", "versions": [
                    { "timestamp": 1331075050646, "selected": false,
                    "source-label": null, "value": "fumanchu@hubspot.com",
                    "source-type": "API", "source-id": null } ] } },
                    "form-submissions": [ ], "vid": 61574 }
      security:
        - oauth2:
            - crm.objects.contacts.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.write
        - private_apps_legacy: []
components: {}

````